#define LAST_CODER		"Steph from The Ultimate Patchers"
#define LAST_UPDATE		"2007.11.10"
#define VERSION			"0.11"
#define UTL_NAME		"PBEditCD"
#define UTL_FILE		"pbeditcd"

/* Win32 requires this constant for variable arg routines. */
#ifndef CLIB_DECL
#define CLIB_DECL
#endif

typedef unsigned char	UINT8;
typedef unsigned short	UINT16;
typedef unsigned int	UINT32;

typedef signed char		INT8;
typedef signed short	INT16;
typedef signed int		INT32;

#define R_BYTE(c,a)		((UINT8)c[(a)])
#define R_WORD(c,a)		(UINT16)((((UINT8)c[(a) + 0]) << 8 ) + \
						         (((UINT8)c[(a) + 1]) << 0 ))
#define R_DWORD(c,a)	(UINT32)((((UINT8)c[(a) + 0]) << 24) + \
						         (((UINT8)c[(a) + 1]) << 16) + \
						         (((UINT8)c[(a) + 2]) << 8 ) + \
						         (((UINT8)c[(a) + 3]) << 0 ))

#define W_BYTE(c,a,d)	{c[(a)] = (UINT8)d;}
#define W_WORD(c,a,d)	{c[(a) + 0] = (UINT8)((((UINT16)(d)) & 0x0000ff00) >> 8 ); \
						 c[(a) + 1] = (UINT8)((((UINT16)(d)) & 0x000000ff) >> 0 );}
#define W_DWORD(c,a,d)	{c[(a) + 0] = (UINT8)((((UINT32)(d)) & 0xff000000) >> 24); \
						 c[(a) + 1] = (UINT8)((((UINT32)(d)) & 0x00ff0000) >> 16); \
						 c[(a) + 2] = (UINT8)((((UINT32)(d)) & 0x0000ff00) >> 8 ); \
						 c[(a) + 3] = (UINT8)((((UINT32)(d)) & 0x000000ff) >> 0 );}
